#@ MODIF joint_meca_frot Comportement  DATE 07/12/2010   AUTEUR GENIAUT S.GENIAUT 
# -*- coding: iso-8859-1 -*-
#            CONFIGURATION MANAGEMENT OF EDF VERSION
# ======================================================================
# COPYRIGHT (C) 1991 - 2010  EDF R&D                  WWW.CODE-ASTER.ORG
# THIS PROGRAM IS FREE SOFTWARE; YOU CAN REDISTRIBUTE IT AND/OR MODIFY  
# IT UNDER THE TERMS OF THE GNU GENERAL PUBLIC LICENSE AS PUBLISHED BY  
# THE FREE SOFTWARE FOUNDATION; EITHER VERSION 2 OF THE LICENSE, OR     
# (AT YOUR OPTION) ANY LATER VERSION.                                                  
#                                                                       
# THIS PROGRAM IS DISTRIBUTED IN THE HOPE THAT IT WILL BE USEFUL, BUT   
# WITHOUT ANY WARRANTY; WITHOUT EVEN THE IMPLIED WARRANTY OF            
# MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SEE THE GNU      
# GENERAL PUBLIC LICENSE FOR MORE DETAILS.                              
#                                                                       
# YOU SHOULD HAVE RECEIVED A COPY OF THE GNU GENERAL PUBLIC LICENSE     
# ALONG WITH THIS PROGRAM; IF NOT, WRITE TO EDF R&D CODE_ASTER,         
#    1 AVENUE DU GENERAL DE GAULLE, 92141 CLAMART CEDEX, FRANCE.        
# ======================================================================

# RESPONSABLE GENIAUT S.GENIAUT

from cata_comportement import LoiComportement

loi = LoiComportement(
   nom            = 'JOINT_MECA_FROT',
   doc = """Loi elastoplastique de Mohr-Coulomb avec adhesion pour modlisation de joints dans les barrages""",
   num_lc         = 48,
   nb_vari        = 9,
   nom_vari       = ('LAMBDA','IFPLAS','DEPL_PLAS1','DEPL_PLAS2','IFOUVERT','SIGT','SAUT_N','SAUT_T1','SAUT_T2'),
   mc_mater       = ('JOINT_MECA_FROT'),
   modelisation   = ('3D','PLAN','AXIS','ELEMJOINT'),
   deformation    = ('PETIT'),
   nom_varc       = ('TEMP'),
   algo_inte      = ('ANALYTIQUE'),
   type_matr_tang = ('PERTURBATION', 'VERIFICATION'),
   proprietes     = ('PRED_ELAS'),
)

